Skip to main content
POST
/
api
/
export-templates
/
{template_uuid}
/
render
Render Template Endpoint
curl --request POST \
  --url https://api.example.com/api/export-templates/{template_uuid}/render \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dataset_id": "<string>",
  "time_range": {
    "start": "2023-11-07T05:31:56Z",
    "end": "2023-11-07T05:31:56Z"
  },
  "scan_ids": [
    "<string>"
  ]
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

template_uuid
string
required

Cookies

antidote_session
string | null

Body

application/json
dataset_id
string
required
time_range
ComplianceTimeRange · object
scan_ids
string[] | null

Response

Successful Response